<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>Waranti Detail</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-item lines="none" class="deviceTopContainer">
    <ion-thumbnail slot="start">
      <img src="../../assets/images/smartphone.png">
    </ion-thumbnail>
    <ion-label text-wrap>
      <ion-text>
        <h3>Samsung Galaxy A8 Plus 2018</h3>
      </ion-text>
      <p>Samsung</p>
    </ion-label>
    <ion-button class="active warantiStatusBtn" fill="outline" slot="end">Active</ion-button>
  </ion-item>

  <ion-toolbar>
    <ion-segment>
      <ion-segment-button value="Device" (click)="deviceDetailsTabOpen()" checked>
        Device Details
      </ion-segment-button>
      <ion-segment-button (click)="invoiceDetailsTabOpen()" value="Invoice">
        Invoice Details
      </ion-segment-button>
    </ion-segment>
  </ion-toolbar>

  <div class="deviceDetails" *ngIf="deviceDetailsOpen">
    <ion-card class="deviceDetailsList">
      <ion-list>
        <ion-item>
          <ion-col>
            Serial No.
          </ion-col>
          <ion-col>
            12sd12313445
          </ion-col>
        </ion-item>
        <ion-item>
          <ion-col>
            IMEI No.
          </ion-col>
          <ion-col>
            123456789123456
          </ion-col>
        </ion-item>
        <ion-item lines="none">
          <ion-col>
            Waranti Expiring on
          </ion-col>
          <ion-col>
            16 Aug 2019
          </ion-col>
        </ion-item>
      </ion-list>
    </ion-card>

    <ion-grid style="padding-bottom: 0;padding-top: 8px;">
      <ion-row>
        <ion-col size-sm size="6">
          <ion-button expand="block" color="primary">Extend Warranty</ion-button>
        </ion-col>
        <ion-col size-sm size="6">
          <ion-button expand="block" color="primary">Upgrade Warranty</ion-button>
        </ion-col>
      </ion-row>
    </ion-grid>

    <ion-card>
      <ion-card-header>
        <ion-card-title>Waranti Description</ion-card-title>
      </ion-card-header>
      <ion-card-content>
        Second stars blessed open blessed firmament is may us their days from bring seasons evening first bearing given fifth air
        ights creeping he. Saw whose. Seas open whales moving. Also it. Fish beginning....
      </ion-card-content>
    </ion-card>

    <ion-card>
      <ion-item>
        <ion-icon name="pin" slot="start"></ion-icon>
        <ion-label>ion-item in a card, icon left, button right</ion-label>
        <ion-button fill="outline" slot="end">View</ion-button>
      </ion-item>

      <ion-card-content>
        This is content, without any paragraph or header tags, within an ion-card-content element.
      </ion-card-content>
    </ion-card>

    <ion-card>
      <ion-item href="#" class="activated">
        <ion-icon name="wifi" slot="start"></ion-icon>
        <ion-label>Card Link Item 1 .activated</ion-label>
      </ion-item>

      <ion-item href="#">
        <ion-icon name="wine" slot="start"></ion-icon>
        <ion-label>Card Link Item 2</ion-label>
      </ion-item>

      <ion-item class="activated">
        <ion-icon name="warning" slot="start"></ion-icon>
        <ion-label>Card Button Item 1 .activated</ion-label>
      </ion-item>

      <ion-item>
        <ion-icon name="walk" slot="start"></ion-icon>
        <ion-label>Card Button Item 2</ion-label>
      </ion-item>
    </ion-card>
    <div class="addBtnContainer">
      <ion-button expand="block" color="primary">Add Similar Devices</ion-button>
    </div>

  </div>
  <div class="invoiceDetails" *ngIf="!deviceDetailsOpen">
    <ion-card class="deviceDetailsList">
      <ion-list>
        <ion-item>
          <ion-col>
            Invoice Date
          </ion-col>
          <ion-col>
            16 Aug 2018
          </ion-col>
        </ion-item>
        <ion-item>
          <ion-col>
            Delivery Date
          </ion-col>
          <ion-col>
            16 Aug 2018
          </ion-col>
        </ion-item>
        <ion-item>
          <ion-col>
            Price
          </ion-col>
          <ion-col>
            Rs.35000
          </ion-col>
        </ion-item>
        <ion-item>
          <ion-col>
            Product Id/ Item Id
          </ion-col>
          <ion-col>
            123456789123456
          </ion-col>
        </ion-item>
        <ion-item>
          <ion-col>
            Sr No./SKU/IMEI
          </ion-col>
          <ion-col>
            4578544545454
          </ion-col>
        </ion-item>
        <ion-item lines="none">
          <ion-col>
            Merchant Id
          </ion-col>
          <ion-col>
            ASDJSH456
          </ion-col>
        </ion-item>
      </ion-list>
    </ion-card>

    <ion-card>
      <ion-card-header>
        <ion-card-title>Add Invoice Photos</ion-card-title>
      </ion-card-header>
      <ion-card-content>
          <ion-button fill="outline" class="uploadPhotoBtn" (click)="openCamera()"><ion-icon name="add"></ion-icon></ion-button>
      </ion-card-content>
    </ion-card>

  </div>



</ion-content>